<?php

namespace App\Http\Controllers\Admin\Structure;

use App\Http\Controllers\Controller;
use App\Services\BillingPlanService;
use Symfony\Component\HttpFoundation\Response;

class BillingPlanController extends Controller
{
    public function index( BillingPlanService $billingPlanService)
    {
        $service = $billingPlanService->index();
        if ($service->isEmpty())
            return failedResponse('not found any plan', Response::HTTP_NOT_FOUND);
        return successResponse(true, $service, 'send successfully');
    }
}

