<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class FindProjectResorceByName extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return [
        'id'=>$this->id,
            'name'=>$this->name,
            'reference_number'=>$this->reference_number,
            'type'=>$this->type,
            'style'=>$this->style,
            'condition'=>$this->condition,
            'priority'=>$this->priority,
            'about_project'=>$this->about_project,
            'projectable_type'=>$this->projectable_type,
            'projectable_id'=>$this->projectable_id,
            'start_date'=>$this->start_date->format('Y/m/d H:i A')??null,
            'end_date'=>$this->end_date ? $this->end_date->format('Y/m/d H:i A') : null,
            'updated_at'=>$this->updated_at->format('Y/m/d H:i A')??null,
            'images'=>ImageProjectResource::collection($this->images)??"",
            'address'=>
//                [
//        'id'=>$this->address->id??"",
//        'longitude'=>$this->address->longitude??null,
//        'latitude'=>$this->address->latitude??null,
//        'country'=>$this->address->country??"",
//        'state'=>$this->address->state??"",
//        'city'=>$this->address->city??"",
//        'zip_code'=>$this->address->zip_code??null,
     $this->address->main_text??"",
//        'secondary_text'=>$this->address->secondary_text??"",
//    ]
];

    }
}
