<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Mojtaba\Chatable\Models\Chat;

class ShowAllChatsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return [
            'id'=>$this->id,
            'uuid'=>$this->uuid,
            'messages_count'=>$this->messages_count,
            'last_name'=>$this->receiver->last_name??"",
            'image'=>$this->receiver->image??"",
            'name'=>$this->receiver->name??"",
            'role_client'=>$this->receiver->role_client??"",
        ];
    }
}
