<?php

namespace App\Models\Admin\Structure;

use App\Models\Project;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Advertisement extends Model
{
    use HasFactory;
    protected $table = 'advertisements';

    protected $guarded = [
        'id'
    ];

    public function projects()
    {
        return $this->hasMany(Project::class);
    }

    public function find($id)
    {
        return Project::find($id);
    }
}
