<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Invite extends Model
{
    use HasFactory;
    protected $guarded = [
        'id'
    ];

    public function invitations()
    {
        return $this->morphTo('client');
    }

    public function inviter()
    {
        return $this->morphTo('invited');
    }

}
