<?php

namespace App\Repositories\User;

use App\Models\User;
use JasonGuru\LaravelMakeRepository\Repository\BaseRepository;
//use Your Model

/**
 * Class UserRepository.
 */
class UserRepository extends BaseRepository
{
    /**
     * @return string
     *  Return the model
     */
    public function model()
    {
        return User::class;
    }

    public function updateUser($request, $id, $jobTitleId, $image)
    {
        return User::where('id', $id)->update([
            'first_name' => $request['first_name'],
            'last_name' => $request['last_name'],
            'email' => $request['email'],
            'phone_number' => $request['phone_number'],
            'work_experience' => $request['work_experience'],
            'job_title_id' => $jobTitleId,
            'image' => $image
        ]);

    }

    public function findUser($id)
    {
        return User::find($id);
    }


}
