<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\Services\PermissionService;
use App\Http\Controllers\Controller;

class PermissionController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:sanctum');
        $this->middleware('can:read-permissions')->only(['allPermissions']);

    }

    public function allPermissions(PermissionService $service)
    {
        $permissions=$service->all();
        return response()->json(['success'=>true,'data'=>['permissions'=>$permissions]]);
    }
}
