<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CreateJobRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

                  return [
                      'job' => ['required'],
                      'experience' => ['required', 'numeric'],
                      'skill.*' => ['required'],
                      'description' => ['required', 'string'],
                      'phone_number' => ['string'],
                  ];

    }
}
