<?php

namespace App\Http\Requests\Client;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Request;

class CompeletingProfileRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
        return [
            'role' => 'required'
        ];
        /*if ($request['role'] == 'user') {
            return [
                'first_name' => ['required', 'min:3', 'max:50', 'alpha'],
                'last_name' => ['required', 'min:3', 'max:50', 'alpha'],
                'phone_number' => ['required', 'max:20']
            ];
        } elseif ($request['role'] == 'company') {
            return [
                'company_name' => ['required', 'min:3', 'max:50', 'alpha'],
                'company_phone_number' => ['required', 'min:3', 'max:50', 'alpha'],
                'industry' => ['required', 'min:3', 'max:50', 'alpha'],
                'main_text' => ['required', 'min:3', 'max:50', 'max:250'],
                'secondary_text' => ['min:3', 'max:50', 'max:250'],
                'country' => ['required', 'min:2', 'max:50', 'alpha'],
                'city' => ['required', 'min:2', 'max:50', 'alpha'],
                'state' => ['required', 'min:2', 'max:50', 'alpha'],
                'zip_code' => ['required', 'min:2', 'max:20', 'numeric']
            ];
        }*/
    }

    public function completeUserInformation()
    {
        return [
            'first_name' => ['required', 'min:3', 'max:50', 'alpha'],
            'last_name' => ['required', 'min:3', 'max:50', 'alpha'],
            'phone_number' => ['required', 'max:20']
        ];
    }

    public function completeCompanyInformation()
    {
        return [
            'company_name' => ['required', 'min:3', 'max:50', 'alpha'],
            'company_phone_number' => ['required', 'min:3', 'max:50', 'alpha'],
            'industry' => ['required', 'min:3', 'max:50', 'alpha'],
            'main_text' => ['required', 'min:3', 'max:50', 'max:250'],
            'secondary_text' => ['min:3', 'max:50', 'max:250'],
            'country' => ['required', 'min:2', 'max:50', 'alpha'],
            'city' => ['required', 'min:2', 'max:50', 'alpha'],
            'state' => ['required', 'min:2', 'max:50', 'alpha'],
            'zip_code' => ['required', 'min:2', 'max:20', 'numeric']
        ];
    }
}
