<?php

namespace App\Repositories;

use App\Models\Project;
use JasonGuru\LaravelMakeRepository\Repository\BaseRepository;
//use Your Model

/**
 * Class ProjectRepository.
 */
class ProjectRepository extends BaseRepository
{
    /**
     * @return string
     *  Return the model
     */
    public function model()
    {
        return Project::class;
    }

    public function countAll()
    {
        return Project::count();
    }

    public function findSpecial()
    {
        //$d  = Project::find(19);
        return Project::select('id' ,'name', 'about_project')->with('images')->get();
        $b = $d->images()->get();
        dd($b);
    }

    public function store($request,$referenceNumber, $projectableType, $projectableId)
    {
        $project = Project::create([
            'name' => $request['project_name'],
            'type' => $request['project_type'],
            'condition' => $request['project_condition'],
            'priority' => $request['project_priority'],
            'reference_number' => $referenceNumber,
            'projectable_type' => $projectableType,
            'style' => $request['project_style'],
            'projectable_id' => $projectableId
        ]);
    }


}
