<?php

namespace App\Services;

use Illuminate\Support\Str;
use Mojtaba\Chatable\Models\Member;

class ChatService
{
    public function addMemberUser($request){
        $member = array();
        if (isset($request->member)) {
            foreach ($request->member as $key => $value) {
                $member[]=Member::create([
                    'group_id' => $request->group_id,
                    'member_id' => $value['id'],
                    'uuid' => (string)Str::uuid(),
                    'member_type' => 'App\\Models\\' . Str::ucfirst($value['type']),
                    'role' => 'user'
                ]);
//                Member::where('member_id',$value['id'])->where('member_type',$value['type'])->where('role','!=','admin')->delete();
            }
            return $member;
        }
    }
    public function checkMemberOnGroup($request){
        if (isset($request->member)) {
            foreach ($request->member as $key => $value) {
                $member=(Member::where('member_id', $value['id'])->where('member_type', 'App\\Models\\' . Str::ucfirst($value['type']))->where('group_id', $request->group_id)->first());
                if ($member)
                    return true;
            }
        }
        return false;
    }
    public function checkClientExist($request){
        if (isset($request->member)) {
            foreach ($request->member as $key => $value) {
                $member=('App\\Models\\' . Str::ucfirst($value['type']))::where('id', $value['id'])->first();
                if (!$member)
                    return false;
            }
        }
        return true;
    }


}
