<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSkillJobsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('skill_jobs', function (Blueprint $table) {
            $table->id();
            $table->foreignId('skill_id')->constrained()->on('skills')->cascadeOnDelete();
            $table->foreignId('job_id')->constrained()->on('jobs')->cascadeOnDelete();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('skill_jobs');
    }
}
